### Method

# Gtk Dialog get_widget_for_response

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_dialog_get_widget_for_response (
      GtkDialog* dialog,
      int response_id
    )

#### Description [src]

Gets the widget button that uses the given response ID in the action area of a dialog.

Deprecated since: 4.10

Use `GtkWindow` instead.

#### Parameters

`response_id`

  Type: `int`

  The response ID used by the `dialog` widget.

#### Return value

Type: `GtkWidget`

The `widget` button that uses the given `response_id`.

The returned data is owned by the instance.
The return value can be `NULL`.